List Continue

View as MarkdownOpen in Claude
Once a cursor has been retrieved from [list:2](api:dropbox-api:POST/2/file_requests/list_v2), use this to paginate through all file requests. The cursor must come from a previous call to [list:2](api:dropbox-api:POST/2/file_requests/list_v2) or [list/continue](api:dropbox-api:POST/2/file_requests/list/continue). **Required scope:** `file_requests.read` **Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints) **Authentication:** [User](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#user-authentication)

Authentication

AuthorizationBearer
OAuth 2.0 token issued to a specific user. Use `Authorization: Bearer <token>`. Public clients should use the authorization code flow with PKCE (S256). For background or offline access, send `token_access_type=offline` during authorization and use the returned refresh token to obtain new access tokens. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

Headers

Dropbox-API-Select-UserstringOptional

Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.

Dropbox-API-Path-RootstringOptional
Scopes path-based operations to a namespace (root). The value is a JSON serialization of the `common.PathRoot` union: `{".tag": "home"}`, `{".tag": "root", "root": "<namespace_id>"}`, or `{".tag": "namespace_id", "namespace_id": "<namespace_id>"}`. On failure the request returns 422 with a `common.PathRootError`.

Request

This endpoint expects an object.
cursorstringRequired
The cursor returned by the previous API call specified in the endpoint description.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
cursorstring

Pass the cursor into list/continue to obtain additional file requests.

file_requestslist of objects
The file requests owned by this user. Apps with the app folder permission will only see file requests in their app folder.
has_moreboolean

Is true if there are additional file requests that have not been returned yet. An additional call to :route:list/continue` can retrieve them.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error